import java.awt.*;
import java.awt.geom.*;

/** An instance is a circle to be drawn in a window */
public class Circle extends Shape implements Scaly {
    private double radius; // radius of circle
    
    /** Constructor: circle with radius radius */
    public Circle(double radius) {
        this.radius = radius;
    }
    
    /** Multiply the radius of this circle by factor */
    public void scale(double factor) {
        radius *= factor;
    }
    
    /** Draw this circle using g */
    public void draw(Graphics2D g) {
        g.draw(new Ellipse2D.Double(x, y, radius*2, radius*2));
    }
}