import java.awt.*;
import java.awt.geom.*;

/** An instance is a rectangle to be drawn in a window. */
public class Rectangle extends Shape implements Stretchy {
    private double width, height; //width and height

    /** Constructor: a rectangle with width and height */
    public Rectangle(double width, double height) {
        this.width = width;
        this.height = height;
    }

    /** Multiply the width by wFactor and the height by hFactor. */
    public void stretch(double wFactor, double hFactor) {
        width *= wFactor;
        height *= hFactor;
    }

    /** Draw this rectangle using g */
    public void draw(Graphics2D g) {
        g.draw(new Rectangle2D.Double(x, y, width, height));
    }
}